Bug 1265532 - Data Tiering:softlimit error/warning seen only once in lifetime of a volume(not throwing error once I increase limit and reach that limit)
Data Tiering:softlimit error/warning seen only once in lifetime of a volume(n...
Status: CLOSED EOL
Product: GlusterFS
Classification: Community
Component: quota (Show other bugs)
3.7.4
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Raghavendra G
: Triaged
Depends On: 1354259 1029443 1229684
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-23 03:45 EDT by nchilaka
Modified: 2018-02-22 01:26 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-08 05:50:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description nchilaka 2015-09-23 03:45:30 EDT
Description of problem:
=======================
I created a tiered volume and enabled quota on it and set hardlimit of 10GB.
I left it to the default soft limit of 80%.
I filed the volume till the 10GB limit and was getting quota exceeded error on new creates as expected.
I then searched in the brick messages for softlimit error and it did display as below:
[root@zod bricks]# cat *dubai*|grep "soft limit"
[2015-09-23 06:40:14.647633] A [MSGID: 120004] [quota.c:4972:quota_log_usage] 0-dubai-quota: Usage is above soft limit: 9.5GB used by /
[2015-09-23 06:39:48.013035] A [MSGID: 120004] [quota.c:4972:quota_log_usage] 0-dubai-quota: Usage is above soft limit: 9.5GB used by /
[2015-09-23 06:40:32.544166] A [MSGID: 120004] [quota.c:4972:quota_log_usage] 0-dubai-quota: Usage is above soft limit: 9.5GB used by /
[2015-09-23 06:39:06.008352] A [MSGID: 120004] [quota.c:4972:quota_log_usage] 0-dubai-quota: Usage is above soft limit: 8.4GB used by /
[2015-09-23 06:39:06.008846] A [MSGID: 120004] [quota.c:4972:quota_log_usage] 0-dubai-quota: Usage is above soft limit: 8.4GB used by /
[2015-09-23 06:39:23.190060] A [MSGID: 120004] [quota.c:4972:quota_log_usage] 0-dubai-quota: Usage is above soft limit: 8.8GB used by /

I now increased the hardlimit to 20GB(and hence softlimit to 16GB), and the "gluster v quota list" showed the updated softlimit and hardlimit values.

I then filled the volume till hardlimit was hit , and got quota exceeded error as expected, but there was no softlimit error thrown again once i had reached 16GB.

I tried this multilple times, but didnt see any new softlimit errors


Version-Release number of selected component (if applicable):
================================================================
root@zod ~]# rpm -qa|grep gluster
glusterfs-3.7.4-0.43.gitf139283.el7.centos.x86_64
glusterfs-fuse-3.7.4-0.43.gitf139283.el7.centos.x86_64
glusterfs-debuginfo-3.7.4-0.33.git1d02d4b.el7.centos.x86_64
glusterfs-api-3.7.4-0.43.gitf139283.el7.centos.x86_64
glusterfs-client-xlators-3.7.4-0.43.gitf139283.el7.centos.x86_64
glusterfs-server-3.7.4-0.43.gitf139283.el7.centos.x86_64
glusterfs-cli-3.7.4-0.43.gitf139283.el7.centos.x86_64
glusterfs-libs-3.7.4-0.43.gitf139283.el7.centos.x86_64
[root@zod ~]# gluster --version
glusterfs 3.7.4 built on Sep 19 2015 01:30:43
Repository revision: git://git.gluster.com/glusterfs.git
Copyright (c) 2006-2011 Gluster Inc. <http://www.gluster.com>
GlusterFS comes with ABSOLUTELY NO WARRANTY.
You may redistribute copies of GlusterFS under the terms of the GNU General Public License.




Steps to Reproduce:
===================
1.create and start a  tier volume
2.enabled quota and set hardlimit to say 10GB(left it to the default softlimit of 80% ie 8GB)
3.now fill 10GB of data and see brick logs, it would displayed softlimit error
4. Now fill the whole hardlimit and you will see quota exceeded error on mount
5.Now expand quota limit to  20GB (that means softlimit will be 16GB-80%)
6. Now try to fill 20GB 


You won't see any more softlimit errros but hardlimits work well.
Infact the cli of quota lists too is getting updated correctly but no new brick messages on softlimit hit
Comment 1 Vijaikumar Mallikarjuna 2015-09-28 03:07:52 EDT
There is a known issue with quota limits exceeding alert messages.
This bug is related to bug# 1029443 and bug# 1229684

With current design it is not possible to get alerts consistently, we will work on this fix in future release.
Comment 2 nchilaka 2015-09-28 07:23:50 EDT
I have marked it to quota component
Comment 3 Vijaikumar Mallikarjuna 2016-04-15 13:55:00 EDT
Patch submitted upstream: http://review.gluster.org/14006
Comment 5 Kaushal 2017-03-08 05:50:28 EST
This bug is getting closed because GlusteFS-3.7 has reached its end-of-life.

Note: This bug is being closed using a script. No verification has been performed to check if it still exists on newer releases of GlusterFS.
If this bug still exists in newer GlusterFS releases, please reopen this bug against the newer release.

Note You need to log in before you can comment on or make changes to this bug.